LibreOffice: FLATConnectionProperties Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
FLATConnectionProperties Service Reference

represents the properties for a FLAT connection (session) with a specific database. More...

Inheritance diagram for FLATConnectionProperties:

## Included Services
service | com::sun::star::sdbc::FILEConnectionProperties
Included Services inherited from FILEConnectionProperties
service | com::sun::star::sdbc::ConnectionProperties

## Public Attributes
boolean | HeaderLine
| `TRUE` when the file contains a header line otherwise `FALSE`
string | FieldDelimiter
| A one character delimiter to separate the fields.
string | StringDelimiter
| A one character delimiter to separate the strings.
string | DecimalDelimiter
| A one character delimiter to separate the decimal.
string | ThousandDelimiter
| A one character delimiter to separate the thousands.
string | Extension
| the extension of the files to be used.
Public Attributes inherited from FILEConnectionProperties
string | CharSet
| specifies the encoding to use to translate the backend data
Public Attributes inherited from ConnectionProperties
string | user
| the username
string | password
| the password

## Detailed Description

represents the properties for a FLAT connection (session) with a specific database.

These properties can be used when calling the method com::sun::star::sdbc::XDriver::connect() or com::sun::star::sdbc::XDriverManager::getConnectionWithInfo().

The properties for a connection contain additional information about how to connect to a database and how to control the behavior of the resulting connection should be.

See also
  com::sun::star::sdbc::XDriver
  com::sun::star::sdbc::XDriverManager
  com::sun::star::sdbc::FILEConnectionProperties

## Exported Interfaces

## ◆ com::sun::star::sdbc::FILEConnectionProperties

service com::sun::star::sdbc::FILEConnectionProperties

## Member Data Documentation

## ◆ DecimalDelimiter

string DecimalDelimiter
| optionalproperty

A one character delimiter to separate the decimal.

## ◆ Extension

string Extension
| property

the extension of the files to be used.

## ◆ FieldDelimiter

string FieldDelimiter
| optionalproperty

A one character delimiter to separate the fields.

## ◆ HeaderLine

boolean HeaderLine
| optionalproperty

`TRUE` when the file contains a header line otherwise `FALSE`

## ◆ StringDelimiter

string StringDelimiter
| optionalproperty

A one character delimiter to separate the strings.

## ◆ ThousandDelimiter

string ThousandDelimiter
| optionalproperty

A one character delimiter to separate the thousands.

The documentation for this service was generated from the following file:

- com/sun/star/sdbc/FLATConnectionProperties.idl